Subject: RE:

From: Khuzema Pithewan <[email-masked]>
Date: Mon, 28 May 2001 09:49:01 +0530

Hi,

> Note, however, that with the TE extensions, looping should not happen in
> the first place.  For a Path that has no ERO object, behavior is similar
> to that of RFC 2205.  For a Path that has an ERO consisting entirely of
> strict hops, any looping will be due to the ingress router deliberately
> creating it - meaning the problem is with whatever entity generated that
> ERO.  A Path with an ERO that has loose subobjects may loop, but this is
> solved by using the RRO object - which is mandatory when a loose-ERO is
> present.
> 
> 
I think it is just suggested that keeping RRO will help in detecting loop,
but it is not mandatory to include RRO, if ERO is loose.

Khuzema.